karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Achim Nierbeck <bcanh...@googlemail.com>
Subject Re: Log4j 1.x will not work in Java 9, need to migrate to 2.x
Date Thu, 11 Aug 2016 14:29:11 GMT
Hi Matt,

we're not directly using Log4j 1.x it's used by Pax-Logging which itself
brings along a lot of needed stuff.
So to fullfill what you are requesting we would need to replace Pax-Logging
by Log4j2 and therefore require a lot
of changes to stuff that has been working with Pax-Logging as Pax-Logging
provides all kinds of APIs with only one implementation which is log4j 1
right now. But you can also use log4j 2 as alternate backend.

regards, Achim


2016-08-10 15:51 GMT+02:00 Matt Sicker <boards@gmail.com>:

> Hello guys, I noticed in Karaf 4.0.5, Log4j 1.x is still being used as the
> logging framework. This is no longer supported in Java 9 due to being end
> of life and a bug involving the JDK version number string having changed
> format significantly.
>
> Are there plans to make Log4j 2.x the default in Karaf 4.1 or 5.0? If not,
> I can help you guys migrate. We're keeping track of migration efforts in
> this issue: https://issues.apache.org/jira/browse/LOG4J2-1473
>
> --
> Matt Sicker <boards@gmail.com>
>



-- 

Apache Member
Apache Karaf <http://karaf.apache.org/> Committer & PMC
OPS4J Pax Web <http://wiki.ops4j.org/display/paxweb/Pax+Web/> Committer &
Project Lead
blog <http://notizblog.nierbeck.de/>
Co-Author of Apache Karaf Cookbook <http://bit.ly/1ps9rkS>

Software Architect / Project Manager / Scrum Master

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message